IPCS(1)

NUME
ipcs - afișează informații despre facilitățile IPC

REZUMAT

ipcs [opțiuni]

DESCRIERE

ipcs prezintă informații despre facilitățile de comunicare între procese din System V. În mod implicit, afișează informații despre toate cele trei resurse: segmente de memorie partajată, cozi de mesaje și matrice de semafoare.

OPȚIUNI

-i, --id id
    Afișează detalii complete doar pentru un singur element de resursă identificat prin id. Această opțiune trebuie să fie combinată cu una dintre cele trei opțiuni de resurse: -m, -q sau -s.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

  Opțiuni pentru resurse

-m, --shmems
    Scrie informații despre segmentele active de memorie partajată.

-q, --queues
    Scrieți informații despre cozile de mesaje active.

-s, --semaphores
    Scrie informații despre seturile de semafoare active.

-a, --all
    Scrie informații despre toate cele trei resurse (implicit).

  Formate de ieșire

Dintre aceste opțiuni, doar una dintre ele are efect: ultima specificată.

-c, --creator
    Afișează creatorul și proprietarul resursei.

-l, --limits
    Afișează limitele resurselor.

-p, --pid
    Afișează PID-urile creatorului și ale ultimului operator.

-t, --time
    Scrie informații privind ora. Ora ultimei operații de control care a modificat permisiunile de acces pentru toate facilitățile, ora ultimelor operații msgsnd(2) și msgrcv(2) privind cozile de mesaje, ora ultimelor operații shmat(2) și shmdt(2) privind memoria partajată și ora ultimei operații semop(2) privind semafoarele.

-u, --summary
    Afișează rezumatul stării.

  Reprezentare

Acestea afectează numai opțiunea -l (--limits).

-b, --bytes
    Afișează dimensiunile în octeți, mai degrabă decât într-un format ușor de citit de către om.

    În mod implicit, unitatea în care sunt exprimate mărimile este octetul, iar prefixele unităților sunt exprimate în putere de 2^10 (1024). Abrevierile simbolurilor sunt prezentate trunchiat pentru a se obține o mai bună lizibilitate, prin prezentarea doar a primei litere a acestora; exemple: „1 KiB [en]/ 1 Kio [ro]” și „1 MiB [en] / 1 Mio [ro]" se expun ca "1 K" și respectiv "1 M", omițându-se intenționat mențiunea „iB”, care face parte din aceste abrevieri.

--human
    Afișează dimensiunile într-un format care poate fi citit ușor de către om.

ÎN CONFORMITATE CU

Utilitatea Linux ipcs nu este pe deplin compatibilă cu utilitatea POSIX ipcs. Versiunea Linux nu acceptă opțiunile POSIX -a, -b și -o, dar acceptă opțiunile -l și -u, care nu sunt definite de POSIX. O aplicație portabilă nu trebuie să utilizeze opțiunile -a, -b, -o, -l și -u.

NOTE

Implementarea actuală a ipcs obține informații despre resursele IPC disponibile prin analizarea fișierelor din /proc/sysvipc. Înainte de versiunea util-linux v2.23, se folosea un mecanism alternativ: comanda IPC_STAT din msgctl(2), semctl(2) și shmctl(2). Acest mecanism este utilizat și în versiunile ulterioare ale util-linux în cazul în care /proc nu este disponibil. O limitare a mecanismului IPC_STAT este aceea că poate fi utilizat numai pentru a prelua informații despre resursele IPC pentru care utilizatorul are permisiunea de citire.

AUTORI

CONSULTAȚI ȘI

ipcmk(1), ipcrm(1), msgrcv(2), msgsnd(2), semget(2), semop(2), shmat(2), shmdt(2), shmget(2), sysvipc(7)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda ipcs face parte din pachetul util-linux care poate fi descărcat de la